Package wx :: Package lib :: Package analogclock :: Module helpers :: Class Box

[frames | no frames]

## Class Box

Gathers info about the clock face and tick sets.

Method Summary
| `__init__(self, parent, Face, TicksM, TicksH)`
| `Draw(self, dc)`
| `GetIsRotated(self)`
| `GetNiceRadiusForHands(self, centre)`
| `GetShadowColour(self)`
| `GetTickBorderColour(self, target)`
| `GetTickBorderWidth(self, target)`
| `GetTickFillColour(self, target)`
| `GetTickFont(self, target)`
| `GetTickOffset(self, target)`
| `GetTickPolygon(self, target)`
| `GetTickSize(self, target)`
| `GetTickStyle(self, target)`
| `RecalcCoords(self, size, centre, scale)`
| `SetIsRotated(self, rotate)`
| `SetShadowColour(self, colour)`
| `SetTickBorderColour(self, colour, target)`
| `SetTickBorderWidth(self, width, target)`
| `SetTickFillColour(self, colour, target)`
| `SetTickFont(self, font, target)`
| `SetTickOffset(self, offset, target)`
| `SetTickPolygon(self, polygon, target)`
| `SetTickSize(self, size, target)`
| `SetTickStyle(self, style, target)`

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:49 2007 | http://epydoc.sf.net